Subject: Chelation agent needed...

From: "MARYANNE A.C. CUSTODIO" <[email-masked]>
Date: Sun, 23 Jan 1994 22:42:23 -0600 (CST)

Hello.  I don't know if this is the right group to ask this question,
but here goes...I am doing some research and I need a chelation agent
for soil remediation.  I have 350 mg of Cadmium per kg of soil,
100 mg of Silver per kg of soil, and 100 of Copper per kg of soil, and
must be removed to the following levels:  15 mg Cadmium, 15 mg Silver,
and 15 mg Copper.  Is there a chelation agent that can do this?
Are there any references that I can turn to?  I appreciate any help
regarding this matter.  Thanks!
 
Maryanne [email-masked]